hpp-corbaserver: hpp.corbaserver.robot.RobotXML Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Public Attributes | List of all members
hpp.corbaserver.robot.RobotXML Class Reference
Inheritance diagram for hpp.corbaserver.robot.RobotXML:
[legend]
Collaboration diagram for hpp.corbaserver.robot.RobotXML:
[legend]

## Public Member Functions
def | __init__ (self, robotName, rootJointType, urdfString, srdfString="", load=True, client=None, hppcorbaClient=None)
def | loadModel (self, robotName, rootJointType)
def | urdfPath (self)
Public Member Functions inherited from hpp.corbaserver.robot.Robot
def | __init__ (self, robotName=None, rootJointType=None, load=True, client=None, hppcorbaClient=None)
def | rebuildRanks (self)
def | urdfSrdfFilenames (self)
def | urdfSrdfString (self)
def | srdfPath (self)
def | getConfigSize (self)
def | getNumberDof (self)
def | getJointNames (self)
def | getJointTypes (self)
def | getAllJointNames (self)
def | getParentFrame (self, frameName)
def | getChildFrames (self, frameName, recursive=False)
def | getParentJoint (self, jointName)
def | getChildJoints (self, jointName, recursive=False)
def | getJointPosition (self, jointName)
def | getRootJointPosition (self)
def | setRootJointPosition (self, position)
def | setJointPosition (self, jointName, position)
def | getCurrentTransformation (self, jointName)
def | getJointNumberDof (self, jointName)
def | getJointConfigSize (self, jointName)
def | setJointBounds (self, jointName, inJointBound)
def | getJointBounds (self, jointName)
def | getSaturated (self, q)
def | getLinkPosition (self, linkName)
def | getLinkNames (self, jointName)
def | setCurrentConfig (self, q)
def | getCurrentConfig (self)
def | setCurrentVelocity (self, v)
def | getCurrentVelocity (self)
def | shootRandomConfig (self)
def | getJointInnerObjects (self, jointName)
def | getJointOuterObjects (self, jointName)
def | getObjectPosition (self, objectName)
def | removeObstacleFromJoint (self, objectName, jointName)
def | isConfigValid (self, cfg)
def | configIsValid (self, cfg)
def | distancesToCollision (self)
def | getRobotAABB (self)
def | getMass (self)
def | getCenterOfMass (self)
def | getJacobianCenterOfMass (self)

## Public Attributes
| load
| urdfString
| srdfString
Public Attributes inherited from hpp.corbaserver.robot.Robot
| client
| hppcorba
| name
| rootJointType
| displayName
| jointNames
| allJointNames
| rankInConfiguration
| rankInVelocity
| childFrames
| parentJoint
| childJoints

## Constructor & Destructor Documentation

## ◆ __init__()

def hpp.corbaserver.robot.RobotXML.__init__ | ( |  | self,
|  |  | robotName,
|  |  | rootJointType,
|  |  | urdfString,
|  |  | srdfString = `""`,
|  |  | load = `True`,
|  |  | client = `None`,
|  |  | hppcorbaClient = `None`
| ) |  |

## Member Function Documentation

## ◆ loadModel()

def hpp.corbaserver.robot.RobotXML.loadModel | ( |  | self,
|  |  | robotName,
|  |  | rootJointType
| ) |  |

Reimplemented from hpp.corbaserver.robot.Robot.

## ◆ urdfPath()

def hpp.corbaserver.robot.RobotXML.urdfPath | ( |  | self | ) |

Reimplemented from hpp.corbaserver.robot.Robot.

## Member Data Documentation

## ◆ load

hpp.corbaserver.robot.RobotXML.load

## ◆ srdfString

hpp.corbaserver.robot.RobotXML.srdfString

## ◆ urdfString

hpp.corbaserver.robot.RobotXML.urdfString

The documentation for this class was generated from the following file:

- src/hpp/corbaserver/robot.py